//******************************************************************************************
// Konstanten zum einstellen des PLL.
//******************************************************************************************
#define PLL_MUL            ( ( unsigned char ) 0x04 )  // 0x03 fr 58MHz bei 14.7456 MHz externem Quarz
                                                       // 0x04 fr 60MHz bei 12.0000 MHz externem Quarz
#define PLL_DIV            ( ( unsigned char ) 0x00 )
#define PLL_ENABLE         ( ( unsigned char ) 0x01 )
#define PLL_CONNECT        ( ( unsigned char ) 0x03 )
#define PLL_FEED_BYTE1     ( ( unsigned char ) 0xAA )
#define PLL_FEED_BYTE2     ( ( unsigned char ) 0x55 )
#define PLL_LOCK           ( ( unsigned long ) 0x0400 )


//******************************************************************************************
// PLL und Quarz definition
//******************************************************************************************
//#define FOSC             (14745600)                  // Die Frequenz der Taktquelle
#define FOSC               (12000000)                  // Die Frequenz der Taktquelle
#define PBSD               (1)
#define CCLK               ((PLL_MUL + 1) * FOSC)      // Die CPU frequenz
#define PCLK               (CCLK / PBSD)               // Pheripheral Bus Clock Freq.
#define XCLKDIV            (1 << 4)                    // Peripherie, gleiche Frequenz wie Prozessorkern


#define MEMORY	__attribute__ ((section (".memory")))

